View Issue Details

IDProjectCategoryView StatusLast Update
04638Development Survey Designpublic2013-03-05 16:29
Reporteruser9918Assigned ToDenisChenu  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Product Version1.90+ 
Target Version2.1Fixed in Version2.00 
Summary04638: Array Dual Scale - Dual Dropdown - id contains #
Description

The id in Array Dual Scale - Dual Dropdown contains the # symbol.

<input name="java47152X12X26001#0" id="java47152X12X26001#0" value="" type="hidden">
</td>
<td class="ddarrayseparator"></td>
<td>
<select name="47152X12X26001#1" id="answer47152X12X26001#1" onchange="special_checkconditions(this.value, this.name, this.type,1);">
<option value="" selected="selected">Bitte wählen...</option>
<option value="1">1</option>
<option value="2">2</option>
</select>

That is inconvenient because # also is a css selector. Changing the style or selecting the element with java script doesn't work.

Steps To Reproduce

Create a Question.
Choose: Question type: Array Dual Scale
In advanced settings choose: Dual dropdown: Yes

TagsNo tags attached.

Relationships

parent of 07309 closedDenisChenu Bug reports Placeholders referring to dual scale question do not work 

Activities

c_schmitz

c_schmitz

2010-10-04 20:09

administrator   ~12985

Yep, that is a very old design error done in LimeSurvey and very hard to correct. Don't expect this to be corrected very soon.

DenisChenu

DenisChenu

2012-02-12 11:59

developer   ~17378

Carsten : maybe for 2.0 yii version ?

c_schmitz

c_schmitz

2012-02-12 12:11

administrator   ~17379

Shnoulle: do you want to take shot at this?

DenisChenu

DenisChenu

2012-02-12 12:29

developer   ~17381

Look into next week.

Think the harding thing is updating survey table 8\

DenisChenu

DenisChenu

2013-01-15 00:51

developer   ~23652

I'm stupid ....

Id can be different from name. Just need to replace # by - in id, and for EM javascript see when using id and replace # by.

DenisChenu

DenisChenu

2013-02-21 20:00

developer   ~24193

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=11667

DenisChenu

DenisChenu

2013-02-21 20:06

developer   ~24195

Yeah \o/ hardly

Related Changesets

LimeSurvey: master 9c0ce00e

2013-02-21 18:56:07

DenisChenu

Details Diff
Fixed issue 07309: Placeholders referring to dual scale question do not work
Fixed issue 04638: Array Dual Scale - Dual Dropdown - id contains #
Dev: remove # in answer id, but leave it in name: no need table updating like this
Dev: remove # in EM input name (hidden id="java....")
Dev: Lauch ExprMgr_process_relevance_and_tailoring in external javascript (think it's the way to do)
Dev: some fix for specific attributes in array_dual
Dev: all to be redone for 2.1/Plugin ...
Affected Issues
04638, 07309
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
add - scripts/dualscale.js Diff File
mod - scripts/survey_runtime.js Diff File

Issue History

Date Modified Username Field Change
2010-09-30 10:57 user9918 New Issue
2010-10-04 20:03 c_schmitz Assigned To => c_schmitz
2010-10-04 20:03 c_schmitz Status new => assigned
2010-10-04 20:09 c_schmitz Note Added: 12985
2010-10-04 20:09 c_schmitz Status assigned => acknowledged
2010-10-16 03:04 c_schmitz Project Bug reports => Development
2012-02-12 11:59 DenisChenu Note Added: 17378
2012-02-12 12:11 c_schmitz Category Templates => Survey Design
2012-02-12 12:11 c_schmitz Note Added: 17379
2012-02-12 12:29 DenisChenu Note Added: 17381
2012-08-14 23:04 c_schmitz Assigned To c_schmitz => DenisChenu
2012-08-14 23:04 c_schmitz Status acknowledged => assigned
2012-08-14 23:05 c_schmitz Target Version => 2.1
2013-01-15 00:51 DenisChenu Note Added: 23652
2013-02-18 22:08 DenisChenu Relationship added parent of 07309
2013-02-21 20:00 DenisChenu Changeset attached => LimeSurvey master 9c0ce00e
2013-02-21 20:00 DenisChenu Note Added: 24193
2013-02-21 20:00 DenisChenu Resolution open => fixed
2013-02-21 20:06 DenisChenu Note Added: 24195
2013-02-21 20:06 DenisChenu Status assigned => resolved
2013-02-21 20:06 DenisChenu Fixed in Version => 2.00
2013-03-05 16:29 c_schmitz Status resolved => closed